Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class LeasePinger

    java.lang.Object
      org.jboss.remoting.LeasePinger

    public class LeasePinger

extends java.lang.Object

Internal agent class to ping the remote server to keep lease alive.

Author:
  Tom Elrod, Ovidiu Feodorov

Field Summary
`static int` | `DEFAULT_DISCONNECT_TIMEOUT`
`static long` | `DEFAULT_LEASE_PERIOD`

Constructor Summary
`LeasePinger(ClientInvoker invoker, java.lang.String invokerSessionID, long defaultLeasePeriod)`

Method Summary
`void` | `addClient(java.lang.String sessionID, java.util.Map configuration, long leasePeriod)`
`protected int` | `getDisconnectTimeout()`
`long` | `getLeasePeriod(java.lang.String sessionID)`
`boolean` | `removeClient(java.lang.String sessionID)`
`protected void` | `setDisconnectTimeout(int disconnectTimeout)`
`void` | `startPing()`
`void` | `stopPing()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_LEASE_PERIOD

    public static final long DEFAULT_LEASE_PERIOD

See Also:
  Constant Field Values

### DEFAULT_DISCONNECT_TIMEOUT

    public static final int DEFAULT_DISCONNECT_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### LeasePinger

    public LeasePinger(ClientInvoker invoker,
                       java.lang.String invokerSessionID,
                       long defaultLeasePeriod)

Method Detail

### startPing

    public void startPing()

### stopPing

    public void stopPing()

### addClient

    public void addClient(java.lang.String sessionID,
                          java.util.Map configuration,
                          long leasePeriod)

### removeClient

    public boolean removeClient(java.lang.String sessionID)

### getLeasePeriod

    public long getLeasePeriod(java.lang.String sessionID)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDisconnectTimeout

    protected int getDisconnectTimeout()

### setDisconnectTimeout

    protected void setDisconnectTimeout(int disconnectTimeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.